org.apache.tinkerpop.gremlin.structure

## Class PropertyTest.BasicPropertyTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.PropertyTest.BasicPropertyTest

- Enclosing class:
    PropertyTest

      public static class PropertyTest.BasicPropertyTest
      extends AbstractGremlinTest

  Basic tests for the `Property` class.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicPropertyTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldAllowRemovalFromEdgeWhenAlreadyRemoved()`
    `void` | `shouldAllowRemovalFromVertexWhenAlreadyRemoved()`
    `void` | `shouldHaveStandardStringRepresentationForEdgeProperty()`
    `void` | `shouldHaveStandardStringRepresentationForVertexProperty()`
    `void` | `shouldHaveTruncatedStringRepresentationForEdgeProperty()`
    `void` | `shouldHaveTruncatedStringRepresentationForVertexProperty()`
    `void` | `shouldReturnEmptyPropertyIfKeyNonExistent()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicPropertyTest

          public BasicPropertyTest()

  - ### Method Detail

    - #### shouldHaveStandardStringRepresentationForVertexProperty

          public void shouldHaveStandardStringRepresentationForVertexProperty()

    - #### shouldHaveTruncatedStringRepresentationForVertexProperty

          public void shouldHaveTruncatedStringRepresentationForVertexProperty()

    - #### shouldHaveStandardStringRepresentationForEdgeProperty

          public void shouldHaveStandardStringRepresentationForEdgeProperty()

    - #### shouldHaveTruncatedStringRepresentationForEdgeProperty

          public void shouldHaveTruncatedStringRepresentationForEdgeProperty()

    - #### shouldReturnEmptyPropertyIfKeyNonExistent

          public void shouldReturnEmptyPropertyIfKeyNonExistent()

    - #### shouldAllowRemovalFromVertexWhenAlreadyRemoved

          public void shouldAllowRemovalFromVertexWhenAlreadyRemoved()

    - #### shouldAllowRemovalFromEdgeWhenAlreadyRemoved

          public void shouldAllowRemovalFromEdgeWhenAlreadyRemoved()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.